/**
 * @description   深色主题地图相关配置
 * @author       朱琦
 * @date         2021/11/18 14:32
 */

// 业务图例配置
const businessConfig = [{
        type: 'lk',
        img: [require('../../static/images/map-layer/dark/img-lk.png'), require('../../static/images/map-layer/dark/img-lk-active.png')],
    },
    {
        type: 'sxt',
        img: [require('../../static/images/map-layer/dark/img-sxt.png'), require('../../static/images/map-layer/dark/img-sxt-active.png')],
    },
    {
        type: 'qbb',
        img: [require('../../static/images/map-layer/dark/img-qbb.png'), require('../../static/images/map-layer/dark/img-qbb-active.png')],
    },
    {
        type: 'jdd',
        img: [require('../../static/images/map-layer/dark/img-jdd.png'), require('../../static/images/map-layer/dark/img-jdd-active.png')],
    },
    {
        type: 'dlsj',
        img: [require('../../static/images/map-layer/dark/img-dlsj.png'), require('../../static/images/map-layer/dark/img-dlsj-active.png')],
    }, {
        type: 'qzd',
        img: [require('../../static/images/map-layer/dark/img-qzd.png'), require('../../static/images/map-layer/dark/img-qzd-active.png')],
    }, {
        type: 'jycl',
        img: [require('../../static/images/map-layer/dark/img-jycl.png'), require('../../static/images/map-layer/dark/img-jycl-active.png')],
    }, {
        type: 'jc',
        img: [require('../../static/images/map-layer/dark/img-jc.png'), require('../../static/images/map-layer/dark/img-jc-active.png')],
    }, {
        type: 'zfc',
        img: [require('../../static/images/map-layer/dark/img-zfc.png'), require('../../static/images/map-layer/dark/img-zfc-active.png')],
    }, {
        type: 'lyyc',
        img: [require('../../static/images/map-layer/dark/img-lyyc.png'), require('../../static/images/map-layer/dark/img-lyyc-active.png')],
    }, {
        type: 'qxd',
        img: [require('../../static/images/map-layer/dark/img-qxd.png'), require('../../static/images/map-layer/dark/img-qxd-active.png')],
    }, {
        type: 'gq',
        img: [require('../../static/images/map-layer/dark/img-gq.png'), require('../../static/images/map-layer/dark/img-gq-active.png')],
    }, {
        type: 'fwq',
        img: [require('../../static/images/map-layer/dark/img-fwq.png'), require('../../static/images/map-layer/dark/img-fwq-active.png')],
    }, {
        type: 'sfz',
        img: [require('../../static/images/map-layer/dark/img-sfz.png'), require('../../static/images/map-layer/dark/img-sfz-active.png')],
    }, {
        type: 'qd',
        img: [require('../../static/images/map-layer/dark/img-qd.png'), require('../../static/images/map-layer/dark/img-qd-active.png')],
    }, {
        type: 'etc',
        img: [require('../../static/images/map-layer/dark/img-etc.png'), require('../../static/images/map-layer/dark/img-etc-active.png')],
    }, {
        type: 'tcq',
        img: [require('../../static/images/map-layer/dark/img-tcq.png'), require('../../static/images/map-layer/dark/img-tcq-active.png')],
    }, {
        type: 'sn',
        img: [require('../../static/images/map-layer/dark/img-sn.png'), require('../../static/images/map-layer/dark/img-sn-active.png')],
    }, {
        type: 'ql',
        img: [require('../../static/images/map-layer/dark/img-ql.png'), require('../../static/images/map-layer/dark/img-ql-active.png')],
    }, {
        type: 'sd',
        img: [require('../../static/images/map-layer/dark/img-sd.png'), require('../../static/images/map-layer/dark/img-sd-active.png')],
    }, {
        type: 'lx',
        img: [require('../../static/images/map-layer/dark/img-lx.png'), require('../../static/images/map-layer/dark/img-lx-active.png')],
    }, {
        type: 'zh',
        img: [require('../../static/images/map-layer/dark/img-zh.png'), require('../../static/images/map-layer/dark/img-zh-active.png')],

    }, {
        type: 'zdcl',
        img: [require('../../static/images/map-layer/dark/img-dlsj.png'), require('../../static/images/map-layer/dark/img-dlsj-active.png')],
    }, {
        type: 'lyyc',
        img: [require('../../static/images/map-layer/dark/img-lyyc.png'), require('../../static/images/map-layer/dark/img-lyyc-active.png')],
    }
];

// 图标配置
const iconConfig = [{
        name: 'icon-gs-sxt',
        text: '摄像头',
        url: require('../../static/images/map-icon/dark/gs/icon-sxt.png')
    },
    {
        name: 'icon-gs-sxt-active',
        url: require('../../static/images/map-icon/dark/gs/icon-sxt-active.png')
    },
    {
        name: 'icon-gl-sxt',
        text: '摄像头',
        url: require('../../static/images/map-icon/dark/gl/icon-sxt.png')
    },
    {
        name: 'icon-gl-sxt-active',
        url: require('../../static/images/map-icon/dark/gl/icon-sxt-active.png')
    },
    {
        name: 'icon-gs-qbb',
        text: '情报板',
        url: require('../../static/images/map-icon/dark/gs/icon-qbb.png')
    },
    {
        name: 'icon-gs-qbb-active',
        url: require('../../static/images/map-icon/dark/gs/icon-qbb-active.png')
    },
    {
        name: 'icon-gl-qbb',
        text: '情报板',
        url: require('../../static/images/map-icon/dark/gl/icon-qbb.png')
    },
    {
        name: 'icon-gl-qbb-active',
        url: require('../../static/images/map-icon/dark/gl/icon-qbb-active.png')
    },
    {
        name: 'icon-gs-jdd',
        text: '交调点',
        url: require('../../static/images/map-icon/dark/gs/icon-jdd.png')
    },
    {
        name: 'icon-gs-jdd-active',
        url: require('../../static/images/map-icon/dark/gs/icon-jdd-active.png')
    },
    {
        name: 'icon-gl-jdd',
        text: '交调点',
        url: require('../../static/images/map-icon/dark/gl/icon-jdd.png')
    },
    {
        name: 'icon-gl-jdd-active',
        url: require('../../static/images/map-icon/dark/gl/icon-jdd-active.png')
    },
    {
        name: 'icon-gs-jycl-car',
        text: '救援车辆',
        url: require('../../static/images/map-icon/dark/icon-jycl.png')
    },
    {
        name: 'icon-gl-jycl-car',
        text: '救援车辆',
        url: require('../../static/images/map-icon/dark/icon-jycl.png')
    },
    {
        name: 'icon-gs-jc-car',
        text: '警车',
        url: require('../../static/images/map-icon/dark/icon-jc.png')
    },
    {
        name: 'icon-gl-jc-car',
        text: '警车',
        url: require('../../static/images/map-icon/dark/icon-jc.png')
    },
    {
        name: 'icon-gl-zfc-car',
        text: '执法车',
        url: require('../../static/images/map-icon/dark/icon-zfc.png')
    },
    {
        name: 'icon-gs-zfc-car',
        text: '执法车',
        url: require('../../static/images/map-icon/dark/icon-zfc.png')
    },
    {
        name: 'icon-gs-qxd',
        text: '气象点',
        url: require('../../static/images/map-icon/dark/gs/icon-qxd.png')
    },
    {
        name: 'icon-gs-qxd-active',
        url: require('../../static/images/map-icon/dark/gs/icon-qxd-active.png')
    },
    {
        name: 'icon-gl-qxd',
        text: '气象点',
        url: require('../../static/images/map-icon/dark/gl/icon-qxd.png')
    },
    {
        name: 'icon-gl-qxd-active',
        url: require('../../static/images/map-icon/dark/gl/icon-qxd-active.png')
    },
    {
        name: 'icon-gs-gq',
        text: '工区',
        url: require('../../static/images/map-icon/dark/gs/icon-gq.png')
    },
    {
        name: 'icon-gs-gq-active',
        url: require('../../static/images/map-icon/dark/gs/icon-gq-active.png')
    },
    {
        name: 'icon-gl-gq',
        text: '工区',
        url: require('../../static/images/map-icon/dark/gl/icon-gq.png')
    },
    {
        name: 'icon-gl-gq-active',
        url: require('../../static/images/map-icon/dark/gl/icon-gq-active.png')
    },
    {
        name: 'icon-gs-fwq',
        text: '服务区',
        url: require('../../static/images/map-icon/dark/gs/icon-fwq.png')
    },
    {
        name: 'icon-gs-fwq-active',
        url: require('../../static/images/map-icon/dark/gs/icon-fwq-active.png')
    },
    {
        name: 'icon-gl-fwq',
        text: '服务区',
        url: require('../../static/images/map-icon/dark/gl/icon-fwq.png')
    },
    {
        name: 'icon-gl-fwq-active',
        url: require('../../static/images/map-icon/dark/gl/icon-fwq-active.png')
    },
    {
        name: 'icon-gs-sfz',
        text: '收费站',
        url: require('../../static/images/map-icon/dark/gs/icon-sfz.png')
    },
    {
        name: 'icon-gs-sfz-active',
        url: require('../../static/images/map-icon/dark/gs/icon-sfz-active.png')
    },
    {
        name: 'icon-gl-sfz',
        text: '收费站',
        url: require('../../static/images/map-icon/dark/gl/icon-sfz.png')
    },
    {
        name: 'icon-gl-sfz-active',
        url: require('../../static/images/map-icon/dark/gl/icon-sfz-active.png')
    },
    {
        name: 'icon-gs-qd',
        text: '汽渡',
        url: require('../../static/images/map-icon/dark/gs/icon-qd.png')
    },
    {
        name: 'icon-gs-qd-active',
        url: require('../../static/images/map-icon/dark/gs/icon-qd-active.png')
    },
    {
        name: 'icon-gl-qd',
        text: '汽渡',
        url: require('../../static/images/map-icon/dark/gl/icon-qd.png')
    },
    {
        name: 'icon-gl-qd-active',
        url: require('../../static/images/map-icon/dark/gl/icon-qd-active.png')
    },
    {
        name: 'icon-gs-etc',
        text: 'ETC',
        url: require('../../static/images/map-icon/dark/gs/icon-etc.png')
    },
    {
        name: 'icon-gs-etc-active',
        url: require('../../static/images/map-icon/dark/gs/icon-etc-active.png')
    },
    {
        name: 'icon-gl-etc',
        text: 'ETC',
        url: require('../../static/images/map-icon/dark/gl/icon-etc.png')
    },
    {
        name: 'icon-gl-etc-active',
        url: require('../../static/images/map-icon/dark/gl/icon-etc-active.png')
    },
    {
        name: 'icon-gs-tcq',
        text: '停车区',
        url: require('../../static/images/map-icon/dark/gs/icon-tcq.png')
    },
    {
        name: 'icon-gs-tcq-active',
        url: require('../../static/images/map-icon/dark/gs/icon-tcq-active.png')
    },
    {
        name: 'icon-gl-tcq',
        text: '停车区',
        url: require('../../static/images/map-icon/dark/gl/icon-tcq.png')
    },
    {
        name: 'icon-gl-tcq-active',
        url: require('../../static/images/map-icon/dark/gl/icon-tcq-active.png')
    },
    {
        name: 'icon-gs-sn',
        text: '枢纽',
        url: require('../../static/images/map-icon/dark/gs/icon-sn.png')
    },
    {
        name: 'icon-gs-sn-active',
        url: require('../../static/images/map-icon/dark/gs/icon-sn-active.png')
    },
    {
        name: 'icon-gl-sn',
        text: '枢纽',
        url: require('../../static/images/map-icon/dark/gl/icon-sn.png')
    },
    {
        name: 'icon-gl-sn-active',
        url: require('../../static/images/map-icon/dark/gl/icon-sn-active.png')
    },
    {
        name: 'icon-gs-ql',
        text: '桥梁',
        url: require('../../static/images/map-icon/dark/gs/icon-ql.png')
    },
    {
        name: 'icon-gs-ql-active',
        url: require('../../static/images/map-icon/dark/gs/icon-ql-active.png')
    },
    {
        name: 'icon-gl-ql',
        text: '桥梁',
        url: require('../../static/images/map-icon/dark/gl/icon-ql.png')
    },
    {
        name: 'icon-gl-ql-active',
        url: require('../../static/images/map-icon/dark/gl/icon-ql-active.png')
    },
    {
        name: 'icon-gs-sd',
        text: '隧道',
        url: require('../../static/images/map-icon/dark/gs/icon-sd.png')
    },
    {
        name: 'icon-gs-sd-active',
        url: require('../../static/images/map-icon/dark/gs/icon-sd-active.png')
    },
    {
        name: 'icon-gl-sd',
        text: '隧道',
        url: require('../../static/images/map-icon/dark/gl/icon-sd.png')
    },
    {
        name: 'icon-gl-sd-active',
        url: require('../../static/images/map-icon/dark/gl/icon-sd-active.png')
    },
    {
        name: 'icon-gs-zh',
        text: '桩号',
        url: require('../../static/images/map-icon/dark/gs/icon-zh.png')
    },
    {
        name: 'icon-gs-zh-active',
        url: require('../../static/images/map-icon/dark/gs/icon-zh-active.png')
    },
    {
        name: 'icon-gl-zh',
        text: '桩号',
        url: require('../../static/images/map-icon/dark/gl/icon-zh.png')
    },
    {
        name: 'icon-gl-zh-active',
        url: require('../../static/images/map-icon/dark/gl/icon-zh-active.png')
    }
]

const darkConfig = {
    theme: 'dark',
    mapConfig: {
        mapStyle: 'amap://styles/71422d8cf6d8e6228fc5283f83817efa',
    },
    businessConfig,
    iconConfig,
    styleConfig: {
        background: 'rgba(4,1,25,1)',
    },
    menuImg: [
        require('../../static/images/map-layer/dark/img-open.png'),
        require('../../static/images/map-layer/dark/img-close.png'),
    ]
};

export default darkConfig;